Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.therlink.domain
Class HcParty

    java.lang.Object
      be.ehealth.businessconnector.therlink.domain.HcParty

All Implemented Interfaces:
  Serializable

Deprecated.

    @Deprecated
    public class HcParty

extends Object
implements Serializable

This class represents a HcParty. if possible the class should be replaced by the hcParty from kmehrCommons in a future release.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `HcParty.Builder` Deprecated. Builder class for HcParty

Constructor Summary
`HcParty()` Deprecated. Constructor.

Method Summary
`boolean` | `equals(Object obj)` Deprecated.
`String` | `getApplicationID()` Deprecated.
`String` | `getCbe()` Deprecated. ids should be stored and retrieved as Kmehr id types in the ids list ( get/setIds ).
`List<CDHCPARTY>` | `getCds()` Deprecated.
`String` | `getEHP()` Deprecated. ids should be stored and retrieved as Kmehr id types in the ids list ( get/setIds ).
`String` | `getFamilyName()` Deprecated.
`String` | `getFirstName()` Deprecated.
`String` | `getHubId()` Deprecated. ids should be stored and retrieved as Kmehr id types in the ids list ( get/setIds ).
`List<IDHCPARTY>` | `getIds()` Deprecated.
`String` | `getInss()` Deprecated. ids should be stored and retrieved as Kmehr id types in the ids list ( get/setIds ).
`String` | `getName()` Deprecated.
`String` | `getNihii()` Deprecated. ids should be stored and retrieved as Kmehr id types in the ids list ( get/setIds ).
`String` | `getType()` Deprecated. /** Getter.
`int` | `hashCode()` Deprecated.
`void` | `setApplicationID(String value)` Deprecated.
`void` | `setCbe(String cbe)` Deprecated. ids should be stored and retrieved as Kmehr id types in the ids list ( get/setIds ).
`void` | `setCds(List<CDHCPARTY> cds)` Deprecated.
`void` | `setEHP(String ehp)` Deprecated. ids should be stored and retrieved as Kmehr id types in the ids list ( get/setIds ).
`void` | `setFamilyName(String familyName)` Deprecated.
`void` | `setFirstName(String firstName)` Deprecated.
`void` | `setHubId(String hubId)` Deprecated. ids should be stored and retrieved as Kmehr id types in the ids list ( get/setIds ).
`void` | `setIds(List<IDHCPARTY> ids)` Deprecated.
`void` | `setInss(String inss)` Deprecated. ids should be stored and retrieved as Kmehr id types in the ids list ( get/setIds ).
`void` | `setName(String name)` Deprecated.
`void` | `setNihii(String nihii)` Deprecated. ids should be stored and retrieved as Kmehr id types in the ids list ( get/setIds ).
`void` | `setType(String type)` Deprecated. Setter.
`String` | `toString()` Deprecated.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HcParty

    public HcParty()

  Deprecated.
  Constructor.

Method Detail

### getIds

    public List<IDHCPARTY> getIds()

  Deprecated.
  Returns:
    the ids

### setIds

    public void setIds(List<IDHCPARTY> ids)

  Deprecated.
  Parameters:
    `ids` - the ids to set

### getCds

    public List<CDHCPARTY> getCds()

  Deprecated.
  Returns:
    the cds

### setCds

    public void setCds(List<CDHCPARTY> cds)

  Deprecated.
  Parameters:
    `cds` - the cds to set

### getType

    public String getType()

  Deprecated.
  /** Getter.

  Returns:
    the type

### setType

    public void setType(String type)

  Deprecated.
  Setter.

  Parameters:
    `type` - the type to set

### getNihii

    @Deprecated
    public String getNihii()

  Deprecated. ids should be stored and retrieved as Kmehr id types in the ids list ( get/setIds ).

  Getter.

  Returns:
    the nihii

### setNihii

    @Deprecated
    public void setNihii(String nihii)

  Deprecated. ids should be stored and retrieved as Kmehr id types in the ids list ( get/setIds ).

  Setter.

  Parameters:
    `nihii` - the nihii to set

### getInss

    @Deprecated
    public String getInss()

  Deprecated. ids should be stored and retrieved as Kmehr id types in the ids list ( get/setIds ).

  Getter.

  Returns:
    the inss

### setInss

    @Deprecated
    public void setInss(String inss)

  Deprecated. ids should be stored and retrieved as Kmehr id types in the ids list ( get/setIds ).

  Setter.

  Parameters:
    `inss` - the inss to set

### getHubId

    @Deprecated
    public String getHubId()

  Deprecated. ids should be stored and retrieved as Kmehr id types in the ids list ( get/setIds ).

  Getter.

  Returns:
    the hubId

### setHubId

    @Deprecated
    public void setHubId(String hubId)

  Deprecated. ids should be stored and retrieved as Kmehr id types in the ids list ( get/setIds ).

  Setter.

  Parameters:
    `hubId` - the hubId to set

### setEHP

    @Deprecated
    public void setEHP(String ehp)

  Deprecated. ids should be stored and retrieved as Kmehr id types in the ids list ( get/setIds ).

  Parameters:
    `string` -

### getEHP

    @Deprecated
    public String getEHP()

  Deprecated. ids should be stored and retrieved as Kmehr id types in the ids list ( get/setIds ).

  Returns:

### getCbe

    @Deprecated
    public String getCbe()

  Deprecated. ids should be stored and retrieved as Kmehr id types in the ids list ( get/setIds ).

  Returns:
    the cbe

### setCbe

    @Deprecated
    public void setCbe(String cbe)

  Deprecated. ids should be stored and retrieved as Kmehr id types in the ids list ( get/setIds ).

  Parameters:
    `cbe` - the cbe to set

### getName

    public String getName()

  Deprecated.
  Returns:
    the name

### setName

    public void setName(String name)

  Deprecated.
  Parameters:
    `name` - the name to set

### getFirstName

    public String getFirstName()

  Deprecated.
  Returns:
    the firstName

### setFirstName

    public void setFirstName(String firstName)

  Deprecated.
  Parameters:
    `firstName` - the firstName to set

### getFamilyName

    public String getFamilyName()

  Deprecated.
  Returns:
    the familyName

### setFamilyName

    public void setFamilyName(String familyName)

  Deprecated.
  Parameters:
    `familyName` - the familyName to set

### equals

    public boolean equals(Object obj)

  Deprecated.
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Deprecated.
  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Deprecated.
  Overrides:
    `toString` in class `Object`

### getApplicationID

    @Deprecated
    public String getApplicationID()

  Deprecated.

  Returns:

### setApplicationID

    @Deprecated
    public void setApplicationID(String value)

  Deprecated.

  Parameters:
    `value` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.